extern double  _order_lots=0.1;
extern int     _order_type=OP_BUY;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
      double _order_lots_deal=_order_lots;
         
      if(OrdersTotal()>0){
      
         int _order_type_close=-1;
         if(_order_type==OP_BUY){ _order_type_close=OP_SELL; }
         else { _order_type_close=OP_BUY; }
      
         for(int i=OrdersTotal()-1;i>=0;i--){
            if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false){ continue; }
            if(OrderSymbol()!=Symbol()){ continue; }
            if(OrderType()==_order_type_close){
            
               if(OrderLots()-_order_lots_deal>0.0){
                  if(OrderClose(OrderTicket(),MathMax(_order_lots_deal,MarketInfo(Symbol(),MODE_MINLOT)),OrderClosePrice(),2*MarketInfo(Symbol(),MODE_SPREAD),CLR_NONE)){
                     _order_lots_deal=0.0;}
                  else { Print(" failed to close: ",_order_lots_deal," for symbol: ",Symbol()," err#: ",GetLastError());}
                  break;}
                  
               else if(OrderLots()<_order_lots_deal){
                  if(OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),2*MarketInfo(Symbol(),MODE_SPREAD),CLR_NONE)){
                     _order_lots_deal-=OrderLots();}
                  else { Print(" failed to close: ",_order_lots_deal," for symbol: ",Symbol()," err#: ",GetLastError());}}
                  
               else if(_order_lots_deal<=0.0) { break; }}
                  
            continue;}}
      
      if(_order_lots_deal>0.0){
      
         double _order_price=0.0;
      
         if(_order_type==OP_BUY){ _order_price=MarketInfo(Symbol(),MODE_ASK); }
         else {_order_price=MarketInfo(Symbol(),MODE_BID);}
      
         string _order_type_report="";
         if(_order_type==OP_BUY){ _order_type_report=" sell order "; }
         else { _order_type_report=" buy order "; }
      
         if(OrderSend(Symbol(),_order_type,MathMax(_order_lots_deal,MarketInfo(Symbol(),MODE_MINLOT)),_order_price,2*MarketInfo(Symbol(),MODE_SPREAD),0.0,0.0,NULL,0,0,CLR_NONE)<0){
            Print(" failed to send ",_order_type_report," of lots: ",_order_lots_deal," for symbol: ",Symbol()," err#: ",GetLastError());}} 
                  
      return(0);
  }
//+------------------------------------------------------------------+